Get Protected Database Restore Information

get

https://EM_HOST:EM_CONSOLE_HTTPS_PORT/em/api/zdlra/{raTargetId}/protectedDatabases/{protectedDatabaseUniqueName}/restoreInfo

Get restore information for a protected database on a Recovery Appliance.

Request

Path Parameters
Header Parameters
  • Recovery Appliance Administrator Credentials. The format must be NAMED: (e.g. NAMED:ORSADMIN) or PREFERRED: (e.g. PREFERRED:PREF_ORSADMIN). If no value is specified, the system will use preferred credentials.
    Example:
    NAMED:ORSADMIN

There's no request body for this operation.

Back to Top

Response

Supported Media Types

200 Response

Successful Operation
Body ()
Root Schema : ProtectedDatabaseRestoreInfo
Type: object
Collection of protected database restore information.
Show Source
Match All
Collection of protected database restore information.
Show Source
Nested Schema : items
Type: array
List of protected database restore information objects.
Show Source
Nested Schema : CommonProperties
Type: object
Collection of summary objects.
Show Source
Nested Schema : RestoreInfoSummary
Type: object
Restore information of a protected database.
Show Source
Nested Schema : restorePointNames
Type: array
Restore point names.
Show Source
Nested Schema : restorePointScns
Type: array
Restore SCNs.
Show Source

400 Response

Bad Request
Body ()
Root Schema : ErrorResponse
Type: object
Response sent back in the case of an Error
Show Source

401 Response

Unauthorized
Body ()
Root Schema : ErrorResponse
Type: object
Response sent back in the case of an Error
Show Source

403 Response

Forbidden
Body ()
Root Schema : MissingPrivErrorResponse
Type: object
Response sent back as an Error in case required privileges are missing
Show Source
Match All
Response sent back as an Error in case required privileges are missing
Show Source
Nested Schema : missingPrivileges
Type: array
Privileges which are missing due to that the Error is occurred. This will have privilege internal name and display name only in the Privilege object
Show Source
Nested Schema : ErrorResponse
Type: object
Response sent back in the case of an Error
Show Source
Nested Schema : MissingPrivilegeSummary
Type: object
It represents a Privilege which is missing on a Resource to view or manage it.
Show Source

404 Response

Not Found
Body ()
Root Schema : ErrorResponse
Type: object
Response sent back in the case of an Error
Show Source

500 Response

Internal Server Error
Body ()
Root Schema : ErrorResponse
Type: object
Response sent back in the case of an Error
Show Source

503 Response

Service Unavailable
Body ()
Root Schema : ErrorResponse
Type: object
Response sent back in the case of an Error
Show Source
Back to Top